# copyright= 'Huynh Duong Phuong Vi @ 2014-2015'
# suforyou.vn@gmail.com
module S4U::S4u_ScaleTool      	     
		Sketchup::require 'sketchup.rb' 
		Sketchup::require 'langhandler.rb'
		Sketchup::require File.join(NAME,(NAME + "_code"))
		if (not file_loaded?(__FILE__))
			S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
			menu=S4U.instance_variable_get :@s4u_menu
			submenu=menu.add_submenu(Strings.GetString(TOOL)) 
			toolbar = UI::Toolbar.new("s4u-"+Strings.GetString(TOOL))                
			names=[ [Strings.GetString("Scale distance"),"scaletool_large.png","scaletool_small.png",Strings.GetString("Select groups or components for push/pull distance")],
					[Strings.GetString("Scale ratio"),"scaletool1_large.png","scaletool1_small.png",Strings.GetString("Select groups or components for scale")],
					[Strings.GetString("Scale fixed length"),"scalefix_large.png","scalefix_small.png",Strings.GetString("Select groups or components for scale fixed length")],
					[Strings.GetString("Reset scale"),"resetscale_large.png","resetscale_small.png",Strings.GetString("Select groups or components for reset scale")]
			]
			(0..3).each{|i|
				cmd=UI::Command.new(names[i][0]){ S4U::S4u_ScaleTool.main(i) }
				cmd.large_icon = names[i][1] 
				cmd.small_icon = names[i][2]
				cmd.status_bar_text = names[i][3] 
				cmd.tooltip= names[i][0] 
				cmd.menu_text = names[i][0]
				toolbar=toolbar.add_item cmd
				submenu.add_item cmd
			}
			toolbar.show if toolbar.get_last_state.abs == 1 
		end
end
